package sun.applet;

import java.io.IOException;

public class AppletIOException extends IOException
{
    private String key;
    private Object msgobj;
    private static AppletMessageHandler amh;
    
    public AppletIOException(String s) {
        super(s);
        this.key = null;
        this.msgobj = null;
        this.key = s;
    }
    
    public AppletIOException(String s, Object msgobj) {
        this(s);
        this.msgobj = msgobj;
    }
    
    @Override
    public String getLocalizedMessage() {
        if (this.msgobj != null) {
            return AppletIOException.amh.getMessage(this.key, this.msgobj);
        }
        return AppletIOException.amh.getMessage(this.key);
    }
    
    static {
        AppletIOException.amh = new AppletMessageHandler("appletioexception");
    }
}
